import { LocalDemManager } from "./dem-manager";
import { Timer } from "./performance";
import { CancelablePromise, ContourTile, FetchResponse, IndividualContourTileOptions, InitMessage, TransferrableDemTile } from "./types";
/**
 * Receives messages from an actor in the web worker.
 */
export default class WorkerDispatch {
    /** There is one worker shared between all managers in the main thread using the plugin, so need to store each of their configurations. */
    managers: {
        [id: number]: LocalDemManager;
    };
    init: (message: InitMessage) => CancelablePromise<void>;
    fetchTile: (managerId: number, z: number, x: number, y: number, timer?: Timer) => CancelablePromise<FetchResponse>;
    fetchAndParseTile: (managerId: number, z: number, x: number, y: number, timer?: Timer) => CancelablePromise<TransferrableDemTile>;
    fetchContourTile: (managerId: number, z: number, x: number, y: number, options: IndividualContourTileOptions, timer?: Timer) => CancelablePromise<ContourTile>;
}
